//将指定的毫秒数加到此实例的值上 
Date.prototype.addMilliseconds = function(value) {
	var millisecond = this.getMilliseconds();
	this.setMilliseconds(millisecond + value);
	return this;
};
//将指定的秒数加到此实例的值上 
Date.prototype.addSeconds = function(value) {
	var second = this.getSeconds();
	this.setSeconds(second + value);
	return this;
};
//将指定的分钟数加到此实例的值上 
Date.prototype.addMinutes = function(value) {
	var minute = this.addMinutes();
	this.setMinutes(minute + value);
	return this;
};
//将指定的小时数加到此实例的值上 
Date.prototype.addHours = function(value) {
	var hour = this.getHours();
	this.setHours(hour + value);
	return this;
};
//将指定的天数加到此实例的值上 
Date.prototype.addDays = function(value) {
	var date = this.getDate();
	this.setDate(date + value);
	return this;
};
//将指定的星期数加到此实例的值上 
Date.prototype.addWeeks = function(value) {
	return this.addDays(value * 7);
};
//将指定的月份数加到此实例的值上 
Date.prototype.addMonths = function(value) {
	var month = this.getMonth();
	this.setMonth(month + value);
	return this;
};
//将指定的年份数加到此实例的值上 
Date.prototype.addYears = function(value) {
	var year = this.getFullYear();
	this.setFullYear(year + value);
	return this;
};
//格式化日期显示 format="yyyy-MM-dd hh:mm:ss"; 
Date.prototype.format = function(format) {
	var o = {
		"M+": this.getMonth() + 1, //month 
		"d+": this.getDate(), //day 
		"h+": this.getHours(), //hour 
		"m+": this.getMinutes(), //minute 
		"s+": this.getSeconds(), //second 
		"q+": Math.floor((this.getMonth() + 3) / 3), //quarter 
		"S": this.getMilliseconds() //millisecond 
	}
	if(/(y+)/.test(format)) {
		format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	}
	for(var k in o) {
		if(new RegExp("(" + k + ")").test(format)) {
			format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
		}
	}
	return format;
}
//计算两日期相差的日期年月日等 
Date.prototype.dateDiff = function(interval,objDate2) 
{ 
    var d=this, i={}, t=d.getTime(), t2=objDate2.getTime(); 
    i['y']=objDate2.getFullYear()-d.getFullYear(); 
    i['q']=i['y']*4+Math.floor(objDate2.getMonth()/4)-Math.floor(d.getMonth()/4); 
    i['m']=i['y']*12+objDate2.getMonth()-d.getMonth(); 
    i['ms']=objDate2.getTime()-d.getTime(); 
    i['w']=Math.floor((t2+345600000)/(604800000))-Math.floor((t+345600000)/(604800000)); 
    i['d']=Math.floor(t2/86400000)-Math.floor(t/86400000); 
    i['h']=Math.floor(t2/3600000)-Math.floor(t/3600000); 
    i['n']=Math.floor(t2/60000)-Math.floor(t/60000); 
    i['s']=Math.floor(t2/1000)-Math.floor(t/1000); 
    return i[interval]; 
}