window.onload = function () {
	(function(mui, doc){
		mui.init();
		// 声明layui
		var layer;
		layui.use('layer', function(){
			var layer = layui.layer;
		});
		var Personnel = JSON.parse(window.localStorage.getItem("ClientInfo")); // 获取客户信息
		doc.getElementById('ShopName').innerHTML = Personnel.ClientInfo.ShopName;
		doc.getElementById('ClientUid').value = Personnel.ClientInfo.Uid;
		doc.getElementById('ClientName').value = Personnel.ClientInfo.Name;
		doc.getElementById('ClientPhone').value = Personnel.ClientInfo.Phone;
		doc.getElementById('ClientTel').value = Personnel.ClientInfo.Tel;
		doc.getElementById('ClientEmail').value = Personnel.ClientInfo.Email;
		if (Personnel.ClientInfo.Sex == '女') {
			doc.getElementById('female').checked = 'checked';
		} else {
			doc.getElementById('male').checked = 'checked';
		}
		// 调用编辑客户api
		function EditClientFun() {
			var postdata = {
				ID: Personnel.ClientInfo.ID,
				Shop: Personnel.ClientInfo.Shop,
				Uid: doc.getElementById('ClientUid').value,
				Name: doc.getElementById('ClientName').value,
				Sex: $("input[type='radio']:checked").val(),
				Phone: doc.getElementById('ClientPhone').value,
				Tel: doc.getElementById('ClientTel').value,
				Email: doc.getElementById('ClientEmail').value,
			};
			PostData('EditClient',postdata,function (data) {
				if(data.State) {
					var ClientInfo = JSON.parse(window.localStorage.getItem('ClientInfo'));
					ClientInfo.ClientInfo.Name = doc.getElementById('ClientName').value;
					ClientInfo.ClientInfo.Sex = $("input[type='radio']:checked").val();
					ClientInfo.ClientInfo.Phone = doc.getElementById('ClientPhone').value;
					ClientInfo.ClientInfo.Tel = doc.getElementById('ClientTel').value;
					ClientInfo.ClientInfo.Email = doc.getElementById('ClientEmail').value;
					window.localStorage.setItem("ClientInfo",JSON.stringify(ClientInfo));
					layer.alert('', {
						title: '提示信息！',
                        icon: 1,
                        content: '修改成功！'
                    });
				} else {
					layer.alert('', {
						title: '提示信息！',
                        icon: 2,
                        content: data.MsgText
                   	});
				}
			});
		}
		
		var ModifyBtn = document.getElementById('ModifyBtn');
		ModifyBtn.addEventListener('tap', function () {
			var CheckPhone = /^1([358][0-9]|4[579]|66|7[0135678]|9[89])[0-9]{8}$/;
        	var CheckTel = /^0[0-9]{1,4}-[0-9]{7,13}$/;
        	var CheckEmail = /^[a-zA-Z0-9_-]+@[a-zA-Z0-9_-]+(\.[a-zA-Z0-9_-]+)+$/;
        	var ClientName = document.querySelector('#ClientName').value;
        	var ClientPhone = document.querySelector('#ClientPhone').value;
        	var ClientTel = document.querySelector('#ClientTel').value;
        	var ClientEmail = document.querySelector('#ClientEmail').value;
        	var mark = true;
			if (ClientName == '' || ClientName.trim() == '') {
				layer.msg(
					'姓名不能为空！', 
					{
						time: 1000,
                    	icon: 2,
                	},
                	function () {
                		doc.getElementById('ClientName').focus();
                	}
				);
				mark = false;
				return false;
                
			}
			if (ClientPhone == '' || ClientPhone.trim() == '') {
				layer.msg(
					'手机号不能为空！',
					{
                    	time: 1000,
                    	icon: 2,
                	},
                	function () {
                		doc.getElementById('ClientPhone').focus();
                	}
				);
				mark = false;
				return false;
			} else {
				if (!CheckPhone.test(ClientPhone)) {
					layer.msg(
						'手机号格式错误！',
						{
                        	time: 1000,
                    		icon: 2,
                    	},
                    	function () {
                			doc.getElementById('ClientPhone').focus();
                    	}
					);
					mark = false;
					return false;
				}
			}
			if (ClientTel.trim() != '' && !CheckTel.test(ClientTel)) {
				layer.msg(
					'座机号格式错误！',
					{
                        time: 1000,
                    	icon: 2,
                    },
                    function () {
                		doc.getElementById('ClientTel').focus();
                    }
				);
				mark = false;
				return false;
			}
			if (ClientEmail == '' || ClientEmail.trim() == '') {
				layer.msg(
					'Email 邮箱不能为空！',
					{
                    	time: 1000,
                    	icon: 2,
                	},
                	function () {
                		doc.getElementById('ClientEmail').focus();
                	}
				);
				mark = false;
				return false;
			} else {
				if (!CheckEmail.test(ClientEmail)) {
					layer.msg(
						'Email 邮箱格式错误！',
						{
                        	time: 1000,
                    		icon: 2,
                    	},
                    	function () {
                			doc.getElementById('ClientEmail').focus();
                    	}
					);
					mark = false;
					return false;
				}
			}
			if (mark) {
				EditClientFun();
			}
		})
	}(mui,document));
}
