﻿//地址管理JS----手機端

//提交地址时检测函数
function CheckAddress($Type, data) {
    
    var IsCheckPhone = $("#IsCheckPhone").val();//获取手机和电话正则判断的启用状态
    var TongBianIsNull = $("#TongBianIsNull").val();//获取统编为必填项的启用状态
    
    var AddressType = data.Type;
    var Countryid = data.Country;//获取国家ID
    var CountryCode=data.CountryCode;
    var Provinceid = data.Province;//获取省份ID
    var Cityid = data.City//获取城市ID
    var Areaid = data.Area;//获取区域ID
    var PointId = data.Agent;//获取自提点ID
    var Address = data.Address;//获取地址
    var LinkName = data.Person;//联系人
    var LinkPhone = data.Phone;//获取联系手机
    var LinkNumber = data.Tel;//获取联系电话
    var LinkCardId = data.Card;//获取身份证/统编号

    var CardMatch = /(^[1-9]\d{5}(18|19|([23]\d))\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{3}[0-9Xx]$)|(^[1-9]\d{5}\d{2}((0[1-9])|(10|11|12))(([0-2][1-9])|10|20|30|31)\d{2}[0-9Xx]$)/;//身份证号码正则
    var TongBianMatch = /^[0-9a-zA-Z]{5,12}$/;//统编正则
    var HKPhoneMatch = /^\d{8}$/;//香港手机正则
    var TWPhoneMatch = /^09\d{8}$/;//台湾手机正则
    var CNPhone = /^1[34578]\d{9}$/;//大陆手机正则
    var NoMatchPhone = /^\d{7,20}$/;//不启用验证的通用手机正则
    var TelMatch = /^0[0-9]{1,4}-[0-9]{7,13}$/;//通用电话正则

    //检测省份是否为空
    if (Provinceid == "" || Provinceid == null) {
        layer.msg('请选择省份！', {
            time: 600,
            icon: 2,
        });
        return false;
    }
    //检测城市是否为空
    if (Cityid == "" || Cityid == null) {
        layer.msg('请选择直辖市/县！', {
            time: 600,
            icon: 2,
        });
        return false;
    }
    //检测区域是否为空
    if (Areaid == "" || Areaid == null) {
        layer.msg('请选择直辖市/区！', {
            time: 600,
            icon: 2,
        });
        return false;
    }
    if (AddressType == "1" || AddressType == 1) {
        if (PointId == "" || PointId == null) {
            layer.msg('请选择自提点！', {
                time: 600,
                icon: 2,
            });
            return false;
        }
    }
    //检测地址是否为空
    if (Address == "" || Address.trim() == "") {
        layer.msg('地址不能为空！', {
            time: 600,
            icon: 2,
        });
        $("#" + $Type + " input[name=address]").focus();
        return false;
    }
    //检测联系人是否为空
    if (LinkName == "" || LinkName.trim() == "") {
        layer.msg('联系人不能为空！', {
            time: 600,
            icon: 2,
        });
        $("#" + $Type + " input[name=LinkName]").focus();
        return false;
    }
    //检测联系手机是否为空
    if (LinkPhone == "" || LinkPhone.trim() == "") {
        layer.msg('联系手机不能为空！', {
            time: 600,
            icon: 2,
        });
        $("#" + $Type + " input[name=LinkPhone]").focus();
        return false;
    }
    else {
        //检测联系手机是否符合规则
        if (IsCheckPhone == 1 || IsCheckPhone == "1") {
            if (CountryCode == "886") {
                if (!TWPhoneMatch.test(LinkPhone.trim())) {
                    layer.alert('', {
                        title: "手机格式错误",
                        icon: 2,
                        content: "联系手机格式错误！台湾地区手机号码为：09开头，后面加8位号码"
                    });
                    return false;
                }
            }
            if (CountryCode == "852") {
                if (!HKPhoneMatch.test(LinkPhone.trim())) {
                    layer.alert('', {
                        title: "手机格式错误",
                        icon: 2,
                        content: "联系手机格式错误！香港地区手机号码为：8位号码"
                    });
                    return false;
                }
            }
            if (CountryCode == "86") {
                if (!CNPhone.test(LinkPhone.trim())) {
                    layer.alert('', {
                        title: "手机格式错误",
                        icon: 2,
                        content: "联系手机格式错误！"
                    });
                    return false;
                }
            }
        }
        else {
            if (!NoMatchPhone.test(LinkPhone.trim())) {
                layer.alert('', {
                    title: "手机格式错误",
                    icon: 2,
                    content: "联系手机格式错误！"
                });
                return false;
            }
        }
    }

    //检测联系电话是否符合规则
    if (LinkNumber != "" && LinkNumber.trim() != "") {
        if (IsCheckPhone == 1 || IsCheckPhone == "1") {
            if (!TelMatch.test(LinkNumber.trim())) {
                layer.alert('', {
                    title: "电话格式错误",
                    icon: 2,
                    content: "联系电话格式错误！"
                });
                return false;
            }
        }
        else {
            if (!NoMatchPhone.test(LinkNumber.trim())) {
                if (!NoMatchPhone.test(LinkNumber.trim())) {
                    layer.alert('', {
                        title: "电话格式错误",
                        icon: 2,
                        content: "联系电话格式错误！"
                    });
                    return false;
                }
            }
        }
    }

    //检测身份证号码和统编
    if (CountryCode == "86") {
        if (LinkCardId == "" || LinkCardId.trim() == "") {
            layer.msg('身份证号不能为空！', {
                time: 600,
                icon: 2,
            });
            $("#" + $Type + " input[name=LinkCardId]").focus();
            return false;
        } else {
            if (!CardMatch.test(LinkCardId.trim())) {
                layer.alert('', {
                    title: "身份证号格式错误",
                    icon: 2,
                    content: "身份证号格式错误！"
                });
                return false;
            }
        }
    }
    if (CountryCode == "886" && (TongBianIsNull == 1 || TongBianIsNull == "1")) {
        if (LinkCardId == "" || LinkCardId.trim() == "") {
            layer.msg('统编号不能为空！', {
                time: 600,
                icon: 2,
            });
            $("#" + $Type + " input[name=LinkCardId]").focus();
            return false;
        } else {
            if (!TongBianMatch.test(LinkCardId.trim())) {
                layer.alert('', {
                    title: "电话格式错误",
                    icon: 2,
                    content: "统编号格式错误！"
                });
                return false;
            }
        }
    }
    return true;
}


function editAddress(addrData) {
    if (CheckAddress("EditAddress", addrData)) {
        if (addrData.Type != 0 && addrData.Type != 1 && addrData.Type != 3) {
            alert("出现错误！");
            return false;
        }
        PostData('EditClientAddress', addrData, function (data) {
	    	if (data.State){
	    		layer.msg('修改成功！', {
                    time: 600,
                    icon: 1,
                });
                window.location.href = "AddressManager.html";
	    	}
	    	else{
	    		alert(data.MsgText);
	    	}
	    });
    }
}


function addAddress(addrData) {
    if (CheckAddress("AddAddress", addrData)) {
        if (addrData.Type != 0 && addrData.Type != 1 && addrData.Type != 3) {
            alert("出现错误！");
            return false;
        }
        addrData.PointId = (addrData.Type != 1) ? 0 : addrData.PointId;
	    PostData('AddClientAddress', addrData, function (data) {
	    	if (data.State){
	    		layer.msg('添加地址成功！', {
                    time: 600,
                    icon: 1,
                });
                window.location.href = "AddressManager.html";
	    	}
	    	else{
	    		alert(data.MsgText);
	    	}
	    });
    }
}

function delAddress(id) {
    layer.confirm('確定要刪除此地址嗎？', {
        btn: ['確定', '取消']//按钮
    }, function (index) {
        $.ajax({
            type: "Post",
            dataType: "Json",
            url: "/Data/DelAddressSubmit",
            data: {
                "ID": parseInt(id)
            },
            success: function (data) {
                if (data.State) {
                    layer.msg('删除成功！', {
                        time: 600,
                        icon: 1,
                    });
                    window.location.href = "/Member/AddressManager";
                } else {
                    alert(JSON.stringify(data));
                }
            },
            error: function (data) {
                layer.msg('删除失败！', {
                    time: 600,
                    icon: 2,
                });
            }
        });
    });
}